<template>
  <div class="payment-order-payment-and-due-date">
    <span>{{ item.paymentPart }}, {{ item.dueDate }}</span>
    <span>{{ (item.amount / 100) | currency({ dot: 2 }) }} ₽</span>
  </div>
</template>

<script>
  export default {
    name: "paymentAndDate",
    props: {
      item: {
        type: Object,
        default: () => {}
      }
    }
  }
</script>

<style scoped lang="scss">
  .payment-order-payment-and-due-date {
    text-align: right;
    span {
      display: block;
      line-height: 20px;
      letter-spacing: 0.2px;
      &:first-child {
        font-size: 14px!important;
        color: $color-text-base;
      }
      &:last-child {
        font-size: 10px;
        color: $shale-gray;
      }
    }
  }
</style>
